export const CatchFn = (_a: any, _b: any, c: any) => {
  const oFn = c.value;
  c.value = (...data: any[]) => {
    try {
      return oFn(...data);
    } catch (e) {
      console.log(e, _b + " --- error");
    }
  };
};

export const CatchClass = (target: any) => {
  Object.getOwnPropertyNames(target.prototype)
    .filter((i) => i !== "constructor")
    .map((name) => {
      const oldFn = target.prototype[name];
      target.prototype[name] = function (...data: any[]) {
        try {
          return oldFn.call(this, ...data);
        } catch (e) {
          console.log(e, name + " --- Error");
          return false;
        }
      };
    });
};
